@echo off
cls
echo.
echo.
echo Are you running this patch from your root Hexen2 directory?
echo.
echo 1 - Yes
echo 2 - No, I need to move it there
echo.
choice/c:12
if errorlevel 2 goto crap
if errorlevel 1 goto good
:good
copy data1\gfx\ttl_main.lmp data1\gfx\d_title.lmp>nul
copy data1\gfx\ttl_main.lmp data1\gfx\d_arrow.lmp>nul
copy data1\gfx\ttl_main.lmp data1\gfx\d_lev1.lmp>nul
copy data1\gfx\ttl_main.lmp data1\gfx\d_lev2.lmp>nul
copy data1\gfx\ttl_main.lmp data1\gfx\d_lev3.lmp>nul
copy data1\gfx\ttl_main.lmp data1\gfx\d_lev4.lmp>nul
copy data1\gfx\ttl_main.lmp data1\gfx\d_lev5.lmp>nul
ren data1\models\vindic~1.mdl vindictus.mdl
ren data1\maps\e3final.bsp start.bsp
move /y oldmap~1\*.* data1\maps>nul
echo.
echo Fix complete! If you go to do a new game, and pick your character, only
echo 1 level will work before it says it cant find a certain map. I didn't
echo wan't to rename a bunch of the packaged maps so instead you should just
echo go to the console and type "map <file>". The map names are in the
echo directory data1\maps. Have fun!
echo.
echo Made by NipKick
echo.
:crap
